[API Reference](../README.md) > [IContractWrapperBase](../interfaces/IContractWrapperBase.md)



# Interface: IContractWrapperBase

## Hierarchy


 [HasContract](HasContract.md)

**↳ IContractWrapperBase**







## Implemented by

* [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)
* [ContractWrapperBase](../classes/ContractWrapperBase.md)
* [ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)
* [DaoCreatorWrapper](../classes/DaoCreatorWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)
* [IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)
* [ProposalGeneratorBase](../classes/ProposalGeneratorBase.md)
* [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)
* [TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)
* [UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)
* [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)


## Properties
<a id="address"></a>

###  address

**●  address**:  *[Address](../#Address)* 

*Defined in [iContractWrapperBase.ts:13](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L13)*





___

<a id="contract"></a>

###  contract

**●  contract**:  *`any`* 

*Inherited from [HasContract](HasContract.md).[contract](HasContract.md#contract)*

*Defined in [commonTypes.ts:78](https://github.com/daostack/arc.js/blob/f779630e/lib/commonTypes.ts#L78)*





___

<a id="factory"></a>

###  factory

**●  factory**:  *[IContractWrapperFactory](IContractWrapperFactory.md)`any`* 

*Defined in [iContractWrapperBase.ts:10](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L10)*





___

<a id="friendlyName"></a>

###  friendlyName

**●  friendlyName**:  *`string`* 

*Defined in [iContractWrapperBase.ts:12](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L12)*





___

<a id="name"></a>

###  name

**●  name**:  *`string`* 

*Defined in [iContractWrapperBase.ts:11](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L11)*





___


## Methods
<a id="getController"></a>

###  getController

► **getController**(avatarAddress: *[Address](../#Address)*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:21](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L21)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="getParameters"></a>

###  getParameters

► **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:18](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L18)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="getParametersArray"></a>

###  getParametersArray

► **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`.<`Array`.<`any`>>



*Defined in [iContractWrapperBase.ts:20](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L20)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<`Array`.<`any`>>





___

<a id="getSchemeParametersHash"></a>

###  getSchemeParametersHash

► **getSchemeParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`.<[Hash](../#Hash)>



*Defined in [iContractWrapperBase.ts:19](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L19)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>





___

<a id="hydrateFromAt"></a>

###  hydrateFromAt

► **hydrateFromAt**(address: *`string`*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:15](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L15)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="hydrateFromDeployed"></a>

###  hydrateFromDeployed

► **hydrateFromDeployed**(): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:16](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L16)*





**Returns:** `Promise`.<`any`>





___

<a id="hydrateFromNew"></a>

###  hydrateFromNew

► **hydrateFromNew**(...rest: *`Array`.<`any`>*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L14)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="setParameters"></a>

###  setParameters

► **setParameters**(...params: *`Array`.<`any`>*): `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>



*Defined in [iContractWrapperBase.ts:17](https://github.com/daostack/arc.js/blob/f779630e/lib/iContractWrapperBase.ts#L17)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| params | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>





___


